# Interface RadarCharacteristics

Hardware characteristics of a radar.

interface RadarCharacteristics {
hasDoppler: boolean;
hasDualRange: boolean;
maxRange: number;
maxSpokeLength: number;
minRange: number;
noTransmitZoneCount: number;
spokesPerRevolution: number;
supportedRanges: number[];
maxDualRange?: number;
}

- Defined in radarapi.ts:64

##### Index

### Properties

hasDoppler
hasDualRange
maxRange
maxSpokeLength
minRange
noTransmitZoneCount
spokesPerRevolution
supportedRanges
maxDualRange?

## Properties

### hasDoppler

hasDoppler: boolean

Whether the radar supports Doppler/motion detection

- Defined in radarapi.ts:76

### hasDualRange

hasDualRange: boolean

Whether the radar supports dual-range mode

- Defined in radarapi.ts:78

### maxRange

maxRange: number

Maximum detection range in meters

- Defined in radarapi.ts:66

### maxSpokeLength

maxSpokeLength: number

Maximum spoke length in samples

- Defined in radarapi.ts:74

### minRange

minRange: number

Minimum detection range in meters

- Defined in radarapi.ts:68

### noTransmitZoneCount

noTransmitZoneCount: number

Number of no-transmit zones supported

- Defined in radarapi.ts:82

### spokesPerRevolution

spokesPerRevolution: number

Number of spokes per full rotation

- Defined in radarapi.ts:72

### supportedRanges

supportedRanges: number[]

Supported discrete range values in meters

- Defined in radarapi.ts:70

### `Optional` maxDualRange

maxDualRange?: number

Maximum range for dual-range mode (if supported)

- Defined in radarapi.ts:80